Bug 10794 - vfs_dirsort has an off-by-one error that can cause uninitialized memory read.
vfs_dirsort has an off-by-one error that can cause uninitialized memory read.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-04 13:52 UTC by Jeremy Allison
Modified: 2014-09-13 13:18 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix that went into master. Applies cleanly to 4.1.next, 4.0.next. (1.01 KB, patch)
2014-09-04 13:52 UTC, Jeremy Allison
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2014-09-04 13:52:51 UTC
Created attachment 10256 [details]
git-am fix that went into master. Applies cleanly to 4.1.next, 4.0.next.

Found by Andrew using Address Sanitizer.
Comment 1 David Disseldorp 2014-09-04 14:00:08 UTC
Comment on attachment 10256 [details]
git-am fix that went into master. Applies cleanly to 4.1.next, 4.0.next.

LGTM
Comment 2 Jeremy Allison 2014-09-04 14:01:29 UTC
Re-assigning to Karolin for inclusion in 4.1.next, 4.0.next.
Comment 3 Karolin Seeger 2014-09-05 18:36:14 UTC
Pushed to autobuild-v4-[0|1]-test.
(4.1 is already frozen, but the DNS patches are needed and this one sounds like it should be fixed also).
Comment 4 Karolin Seeger 2014-09-08 19:05:52 UTC
(In reply to comment #3)
> Pushed to autobuild-v4-[0|1]-test.
> (4.1 is already frozen, but the DNS patches are needed and this one sounds like
> it should be fixed also).

Pushed to v4-1-test (incl. in 4.1.12).
Waiting for autobuild-v4-0-test.
Comment 5 Karolin Seeger 2014-09-13 13:18:28 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Pushed to autobuild-v4-[0|1]-test.
> > (4.1 is already frozen, but the DNS patches are needed and this one sounds like
> > it should be fixed also).
> 
> Pushed to v4-1-test (incl. in 4.1.12).
> Waiting for autobuild-v4-0-test.

Pushed to v4-0-test also.
Closing out bug report.

Thanks!